Ядро & Оборудование
   328

Не устанавливается принтер НР-1020

Здравствуйте!
Проблема вот какая. При загрузке плагина с интернета HPLIP требует логин и пароль. Я ввожу пароль своей учетки и рута, но в ответ — ошибка. И не могу изменить имя учетки.

Скриншоты прилагаю.
Заранее спасибо!!!
Ядро & Оборудование: Не устанавливается принтер НР-1020
Ядро & Оборудование: Не устанавливается принтер НР-1020Ядро & Оборудование: Не устанавливается принтер НР-1020

15 комментариев

avatar
оно хочет логин и пароль рута? Если речь не идет о логин/пароль учетки в HP, то, вероятно так оно и есть.
Ваш пользователь есть в группе wheel?
Ставили пароль для пользователя root?
Попробуйте запустить эту прогу в консоли
sudo прога_для_запуска
0
avatar
Пробовал, естественно.
lexa1@W360 ~ $ sudo python /usr/bin/hp-toolbox
[sudo] пароль для lexa1: 
warning: hp-toolbox should not be run as root/superuser.

HP Linux Imaging and Printing System (ver. 3.18.6)
HP Device Manager ver. 15.0

Copyright © 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
error: dBus initialization error. Exiting.
0
avatar
hp-toolbox should not be run as root/superuser.

ок
а что в
groups lexa1
?
А если использовать логин/пароль root в gui?
Что за DE? Используете polkit для авторизации, или что-то еще?
0
avatar
lexa1@W360 ~ $ groups lexa1
sys lp wheel network video optical storage scanner power autologin wireshark lexa1
0
avatar
Не дает изменить имя пользователя.
XFCE
Ничего такого…
0
avatar
При загрузке плагина с интернета
Зачем Вы это делаете? Чтобы потом руками обновлять? Плагин, вообще-то, в АУРе есть.
Вот уже опакеченный на всякий случай. У меня он на одной системе отказался собираться. Вообще данный пакет стоило бы перенести в официальные репы, так как есть шанс словить разные версии hplip и hplip-plugin, что приведет к невозможности установки последнего до обновления либы.
В графике же багу с паролем уже ни один год. Ставится с ключом --interactive, ЕМНИП.
Последний раз редактировалось
+2
avatar
Это HPLIP пытается скачать микрокод принтера, а не я. HPLIP установлен с АУРа.
«Ставится с ключом --interactive, ЕМНИП.» — С этого места поподробнее, пожалуйста
0
avatar
Это HPLIP пытается скачать микрокод принтера
Шлите его в *опу. И, кстати, микрокод он скачать не пытается. Есть сетевые аппараты с таким же весельем (привет, М121(2|4)!). Вам нужен еще пакет hplip-plugin. Ставите его и радуетесь. Если не собирается — берете готовый из поста выше.
С этого места поподробнее, пожалуйста.
hp-plugin -i

Установка в интерактивном текстовом режиме. Но так делать не надо, берите пакет в АУРе. Это избавит Вас от дальнейшего веселья с ручным обновлением пакета.
Еще у HP-шной КМТ того периода выпуска иментся мерзкая особенность под названием SmartInstall, превращающая принтер в тыквуо флешку. Она обеспечивает бездну веселья под ос, отличными от шиндошс. Впрочем, и под ним тоже в ряде случаев. Например, если монтирование флешек запрещено политиками. Лучше отключить.
Последний раз редактировалось
+2
avatar
Коллеги, спасибо вам за помощь!
Помогло ТОЛЬКО вот это

su
hp-plugin -i
0
avatar
Из АУРа ставить пробовали?
Просто Вы сейчас заимели себе геморрой. После обновления hplip Вам придется обновлять плагин руками.
UPD. Ваш принтер находится в списке поддерфиваемых через foo2zjs. С этим драйвером можно вообще избавиться от hp-шного vendor-lock in.
Последний раз редактировалось
0
avatar
Добрый день!
Конечно, пробовал. Какая-то ошибка с совместимостью с hplip из репов.
Тепрь с этого места
Ваш принтер находится в списке поддерфиваемых через foo2zjs. С этим драйвером можно вообще избавиться от hp-шного vendor-lock in.
поподробнее, пожалуйста!
И, кстати, теперь принтер перестал находиться вообще.
0
avatar
Какая-то ошибка с совместимостью с hplip из репов.
Возьмите собранный пакет из моего поста выше. Билдился по причине того, что после перевода одной машины с сусе на манджаро оно не собралось. Пришлось сделать это на другой машине. Оно встало и заработало.
поподробнее, пожалуйста!
Некогда у меня p1102 работал через /dev/ass с официальным драйвером. заводил его с этим драйвером. Подробностей, увы, не помню.
Последний раз редактировалось
0
avatar
Вдогонку. В АУРе есть этот фу2..., а на его родном сайте написано, что ставить надо только родной пакет, а не пакеты из дистрибутивов.
Так какой, по Вашему мнению, надо ставить?
0
avatar
Вы представляете что такое АУР? Это хранилище не пакетов, а скриптов по их сборке. Которые берут исходники с официального сайта и опакечивают. Благодаря этому дистрибутив и не превращается в еще одну слаку, а пользователя в инструмент разрешения зависимостей.
Более того, на странице пакета в АУРе можно найти полезную информацию в комментариях.
0
avatar
Взято тут и вот тут
В файле /usr/share/hplip/installer/distros.dat необходимо найти секцию [manjarolinux] и записать su_sudo=sudo
Еще надо бы то же в секции [unknown] сделать — python иногда плохо себя ведет, определяя дистр, как arch
костыльно, молодежно, отвратно, но умвр
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.